<header class="char-header">
    <div class="char-details">
        <h1 class="char-name">
            <input
                name="name"
                type="text"
                value="{{actor.name}}"
                placeholder="{{localize 'PF2E.CharacterNamePlaceholder'}}"
            />
        </h1>
        {{#if readonlySheet}}
            <div class="editsheet">
                <label>
                    Edit?
                </label>
                <input
                    class="isNPCEditable"
                    name="flags.pf2e.editSheet.value"
                    type="checkbox"
                    data-dtype="Boolean"
                    {{checked flags.pf2e.editSheet.value}}
                />
            </div>
        {{/if}}
        <div class="dots">
            <h4>
                {{localize 'PF2E.HeroPointsLabel'}}
            </h4>
            <input
                type="hidden"
                name="data.attributes.heroPoints.rank"
                data-max="3"
                value="{{data.attributes.heroPoints.rank}}"
                data-dtype="Number"
            />
            <span title="{{data.attributes.heroPoints.hover}}">
                {{{data.attributes.heroPoints.icon}}}
            </span>
        </div>
    </div>
    <div class="char-level">
        <div class="level">
            <label>
                {{localize 'PF2E.LevelLabel'}}
            </label>
            <input
                name="data.details.level.value"
                type="text"
                value="{{data.details.level.value}}"
                data-dtype="Number"
                placeholder="1"
                size="2"
            />
        </div>
        <div class="exp-data">
            <div class="exp-input">
                <input
                    name="data.details.xp.value"
                    type="text"
                    value="{{data.details.xp.value}}"
                    data-dtype="Number"
                    placeholder="0"
                    size="4"
                />
                <span class="max" data-wpad="14">
                    /
                    {{data.details.xp.max}}
                </span>
            </div>
            <div class="exp-bar">
                <span
                    class="bar"
                    style="width: {{data.details.xp.pct}}%"
                ></span>
            </div>
            <div class="info">
                <a href="#">Info</a>
                <a href="#">Changelog</a>
            </div>
        </div>
    </div>
</header>